Subject: bug#14475: closed (Re: bug#14475: 24.3.50; Setting semantic to parse elisp files)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 04:16:04 +0000

Your bug report

#14475: 24.3.50; Setting semantic to parse elisp files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14475: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14475
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14475: 24.3.50; Setting semantic to parse elisp files
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jan 2002 06:18:39 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here.  Closing the bug.

Subject: 24.3.50; Setting semantic to parse elisp files
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 26 May 2013 18:26:05 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I was trying to setup semantic to parse elisp files.  (It does not seem
to be setup by default. Any specific reason?)

1. M-x customize-variable RET semantic-new-buffer-setup-functions RET
   Add emacs-lisp-mode and semantic-default-elisp-setup.

    ,----
    | custom-variable-set: Invalid function: semantic-default-elisp-setup
    `----

2. I believe `semantic-default-elisp-setup' should be decorated with a
   autoload cookie.

For the curious, I am able to achieve elisp parsing by adding following
to .emacs.

   (load-library "semantic/bovine/el.el")

With this I am able to use semantic-symerf+grep for elisp files.

In GNU Emacs 24.3.50.3 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-25 on debian-6.05
Bzr revision: 112729 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t